import mongoose from 'mongoose';

const ChangelogSchema = new mongoose.Schema({
  action: String,
  collection_name: String,
  conditions: Object,
  data: Object,
  user_id: mongoose.Schema.Types.ObjectId
}, {minimize: false});

export default mongoose.model<any, mongoose.Model<any, any>>('changelog', ChangelogSchema);